> For the complete documentation index, see [llms.txt](https://sodex.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://sodex.com/documentation/for-developers/api-reference/market-data-api/crypto-stocks/klines.md).

# 4.4 Company Historical Klines

```
GET /crypto-stocks/{stock_ticker}/klines
```

**Path Parameters**

| Parameter | Type   | Required | Description  |
| --------- | ------ | -------- | ------------ |
| ticker    | string | Yes      | Stock ticker |

**Query Parameters**

| Parameter   | Type    | Required | Description                           |
| ----------- | ------- | -------- | ------------------------------------- |
| interval    | string  | Yes      | Time interval. Only `1d` is supported |
| start\_time | long    | No       | Start time, millisecond timestamp     |
| end\_time   | long    | No       | End time, millisecond timestamp       |
| limit       | integer | No       | Default 100, max 500                  |

**Response Example**

```json
[
    {
        "timestamp": 1710000000000,
        "open": 123,
        "high": 130,
        "low": 120,
        "close": 125,
        "volume": 140000
    }
]
```

**Response Fields**

| Field     | Type   | Description              |
| --------- | ------ | ------------------------ |
| timestamp | Long   | Timestamp (milliseconds) |
| open      | Number | Open price               |
| high      | Number | High price               |
| low       | Number | Low price                |
| close     | Number | Close price              |
| volume    | Number | Trading volume           |

**Notes**

* Only daily (`1d`) klines are available.
* The query range is limited to the most recent 3 months.
